import * as React from "react";
import Svg, { Path } from "react-native-svg";

const Filter = (props) => {
  return (
    <Svg
      width={25}
      height={25}
      viewBox="0 0 25 25"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <Path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M11.334 7.486a3.001 3.001 0 01-5.668 0c-.054.01-.11.014-.166.014h-2a1 1 0 010-2h2c.057 0 .112.005.166.014a3.001 3.001 0 015.668 0c.054-.01.11-.014.166-.014h10a1 1 0 110 2h-10c-.056 0-.112-.005-.166-.014zM9.5 6.5a1 1 0 11-2 0 1 1 0 012 0zM2.5 18.5a1 1 0 011-1h2c.057 0 .112.005.166.014a3.001 3.001 0 015.668 0c.054-.01.11-.014.166-.014h10a1 1 0 110 2h-10c-.056 0-.112-.005-.166-.014a3.001 3.001 0 01-5.668 0c-.054.01-.11.014-.166.014h-2a1 1 0 01-1-1zm7 0a1 1 0 11-2 0 1 1 0 012 0zM21.5 11.5a1 1 0 110 2h-2c-.056 0-.112-.005-.166-.014a3.001 3.001 0 01-5.668 0c-.054.01-.11.014-.166.014h-10a1 1 0 110-2h10c.056 0 .112.005.166.014a3.001 3.001 0 015.668 0c.054-.01.11-.014.166-.014h2zm-5 2a1 1 0 100-2 1 1 0 000 2z"
        fill={`${props.color ? props.color : "#17171B"}`}
      />
    </Svg>
  );
};

export default Filter;
